summaryrefslogtreecommitdiff
path: root/source4
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2006-09-04 04:54:20 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 14:17:04 -0500
commit3dc330b1f31ce9d9cc0f47b54a52267c3085f52b (patch)
treed9752bdfc327761164f51a4d7b0476e6252e5abb /source4
parent556aab78a0ff18505f7c8561586abc977adf8e43 (diff)
downloadsamba-3dc330b1f31ce9d9cc0f47b54a52267c3085f52b.tar.gz
samba-3dc330b1f31ce9d9cc0f47b54a52267c3085f52b.tar.bz2
samba-3dc330b1f31ce9d9cc0f47b54a52267c3085f52b.zip
r18026: patch from Brad allowing the windows testing to be configured
externally in the build farm (This used to be commit a85646cba5ae5f96d99bd79d491e4151ffe6e78e)
Diffstat (limited to 'source4')
-rw-r--r--source4/script/tests/test_win.sh4
-rw-r--r--source4/script/tests/tests_win.sh13
2 files changed, 12 insertions, 5 deletions
diff --git a/source4/script/tests/test_win.sh b/source4/script/tests/test_win.sh
index c4d11d5bd7..4482854125 100644
--- a/source4/script/tests/test_win.sh
+++ b/source4/script/tests/test_win.sh
@@ -7,7 +7,9 @@
# Copyright Brad Henry <brad@samba.org> 2006
# Released under the GNU GPL v2 or later.
-. $WINTEST_DIR/test_win.conf
+
+# This variable is defined in the per-hosts .fns file.
+. $WINTESTCONF
# Setup the windows environment.
# This was the best way I could figure out including library files
diff --git a/source4/script/tests/tests_win.sh b/source4/script/tests/tests_win.sh
index 6bb5fb90b7..5c3c81b1eb 100644
--- a/source4/script/tests/tests_win.sh
+++ b/source4/script/tests/tests_win.sh
@@ -10,9 +10,14 @@
exit 1
fi
- WINTEST_CONFFILE="$SRCDIR/script/tests/win/test_win.conf"
- if [ ! -r $WINTEST_CONFFILE ]; then
- echo "$WINTEST_CONFFILE could not be read."
+ if [ ! $WINTESTCONF ]; then
+ echo "Environment variable WINTESTCONF has not been defined."
+ echo "Windows tests will not run unconfigured."
+ exit 1
+ fi
+
+ if [ ! -r $WINTESTCONF ]; then
+ echo "$WINTESTCONF could not be read."
exit 1
fi
@@ -20,7 +25,7 @@
export TMPDIR=$TMPDIR
export NETBIOSNAME=$NETBIOSNAME
- . $WINTEST_CONFFILE
+ . $WINTESTCONF
$SRCDIR/script/tests/test_win.sh
status=$?